package app

import (
	"ln/nft/api/v1"
	"ln/nft/middleware"
	"github.com/gin-gonic/gin"
)

type AppHerbsNRouter struct {
}

// InitAppHerbsNRouter 初始化 AppHerbsN 路由信息
func (s *AppHerbsNRouter) InitAppHerbsNRouter(Router *gin.RouterGroup) {
	appHerbsSRouter := Router.Group("appHerbsS").Use(middleware.OperationRecord())
	appHerbsSRouterWithoutRecord := Router.Group("appHerbsS")
	var appHerbsSApi = v1.ApiGroupApp.AppApiGroup.AppHerbsNApi
	{
		appHerbsSRouter.POST("createAppHerbsN", appHerbsSApi.CreateAppHerbsN)   // 新建AppHerbsN
		appHerbsSRouter.DELETE("deleteAppHerbsN", appHerbsSApi.DeleteAppHerbsN) // 删除AppHerbsN
		appHerbsSRouter.DELETE("deleteAppHerbsNByIds", appHerbsSApi.DeleteAppHerbsNByIds) // 批量删除AppHerbsN
		appHerbsSRouter.PUT("updateAppHerbsN", appHerbsSApi.UpdateAppHerbsN)    // 更新AppHerbsN
	}
	{
		appHerbsSRouterWithoutRecord.GET("findAppHerbsN", appHerbsSApi.FindAppHerbsN)        // 根据ID获取AppHerbsN
		appHerbsSRouterWithoutRecord.GET("getAppHerbsNList", appHerbsSApi.GetAppHerbsNList)  // 获取AppHerbsN列表
	}
}
